<?php
global $load_client;
/**
 * This file is the config file for this plugin
 *
 * @package Plugin
 * @subpackage SmartyWrapper
 * @since 3.0.0
 * @author Ortwin Pinke <o.pinke@conlite.org>
 * @copyright (c) 2018 - 2025, conlite.org
 * @license http://www.gnu.de/documents/gpl.en.html GPL v3 (english version)
 * @license http://www.gnu.de/documents/gpl.de.html GPL v3 (deutsche Version)
 * @link http://www.conlite.org ConLite.org
 */

defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

rereadClients();
$client = (isset($client)) ? $client : $load_client;

require_once dirname(__FILE__, 2) . '/vendor/autoload.php';

try {
    new cSmartyFrontend(cRegistry::getConfig(), cRegistry::getClientConfig(cRegistry::getClientId()), true);
} catch (Exception $e) {
    cWarning($e->getFile(), $e->getLine(), $e->getMessage());
}